Subject: bug#64596: 30.0.50; On FIXME: in src/buffer.c:1481 (force-mode-line-update)

From: Ihor Radchenko <[email-masked]>
Date: Sun, 16 Jul 2023 10:22:38 +0000

Stefan Monnier <[email-masked]> writes:

>>   . prevent_redisplay_optimizations_p flag of a buffer
>>   . must_be_updated_p flag of a window
>
> No idea what these mean.
> The name `must_be_updated_p` makes it sound to me like it's redundant
> with the `redisplay` flag above.

I agree about must_be_updated_p. I had exactly same though that it is
redundant with redisplay flag when reading the code.

prevent_redisplay_optimizations_p is intuitively logical, but I still
feel confused because it appears to be redundant upon seeing redisplay
flag in the buffer. It raises a question what redisplay flag really
means - it is causing redisplay of a window/buffer or not necessarily?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>